<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.baseCalendar.home.title">Base Calendars</span>
            </h5>
            <p-dataTable
                [value]="baseCalendars"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idCalendar"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <ul class="nav justify-content-end">
                            <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
                                <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                            </li>
                            <li class="nav-item">
                                <a class="btn" [routerLink]="['/', { outlets: { popup: ['base-calendar-new'] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                            </li>
                        </ul>
                    <!-- <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: ['base-calendar-new'] } }]">
                        </button>
                    </div> -->
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                      name="currentSearch" placeholder="{{ 'mpmApp.baseCalendar.home.search' | translate }}">
                                <button class="input-group-addon btn btn-info" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div>
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.baseCalendar.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'global.field.id'|translate}}" [style]="{'width': '80px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idCalendar}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.baseCalendar.dateKey'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateKey | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.baseCalendar.description'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.description}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.baseCalendar.dateFrom'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateFrom | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.baseCalendar.dateThru'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.dateThru | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.baseCalendar.workDay'|translate}}" [style]="{'width': '60px', 'text-align': 'center'}">>
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <i [hidden]="!rowData.workDay" class="fa fa-check"></i>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.baseCalendar.calendarType'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.calendarTypeId">
                            <a [routerLink]="['../calendar-type', rowData.calendarTypeId  ]" >{{rowData.calendarTypeDescription}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.baseCalendar.parent'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.parentId">
                            <a [routerLink]="['../standard-calendar', rowData.parentId  ]" >{{rowData.parentDescription}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.baseCalendar.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                [routerLink]="['../base-calendar', rowData.idCalendar]"
                                icon="fa-eye"
                                class="ui-button-info"
                                [style]="{'height':'50px'}">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'base-calendar/'+ rowData.idCalendar + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="ui-button-primary">
                        </button>
                        <button pButton type="submit"
                                (click)="delete(rowData.idCalendar)"
                                icon="fa-remove"
                                class="ui-button-danger">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>